Page MenuHomeFreeBSD

science/afni: Use BUILD_DEPENDS/RUN_DEPENDS instead of LIB_DEPENDS for math/R, because R may be configured without libR.so.
ClosedPublic

Authored by jrm on Nov 27 2016, 2:30 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Nov 27, 6:47 PM
Unknown Object (File)
Apr 22 2017, 2:26 AM
Unknown Object (File)
Apr 15 2017, 9:14 PM
Unknown Object (File)
Apr 14 2017, 3:55 PM
Unknown Object (File)
Dec 27 2016, 9:53 AM
Unknown Object (File)
Dec 14 2016, 2:09 AM
Unknown Object (File)
Dec 13 2016, 10:41 AM
Unknown Object (File)
Dec 1 2016, 9:29 AM
Subscribers

Details

Summary

science/afni: Use BUILD_DEPENDS/RUN_DEPENDS instead of LIB_DEPENDS for

math/R, because R may be configured without libR.so

Also, after some planned changes ${PREFIX}/lib/R/lib will not be registered
with ldconfig. While here, fix some stage-qa warnings about indirect
dependencies.

Test Plan

portlint -AC: OK
testport: OK (poudriere: 10.3-RELEASE-p10, i386)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64)
testport: OK (poudriere: 11.0-RELEASE-p1, i386)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm retitled this revision from to science/afni: Use BUILD_DEPENDS/RUN_DEPENDS instead of LIB_DEPENDS for math/R, because R may be configured without libR.so..
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3, bacon4000_gmail.com.
science/afni/Makefile
25 ↗(On Diff #22534)

USE_XORG=xp

jrm edited edge metadata.

USE_XORG=xp instead of LIB_DEPENDS=libXp.so:x11/libXp

  1. Updating D8649: science/afni: Use BUILD_DEPENDS/RUN_DEPENDS instead of LIB_DEPENDS for math/R, because R may be configured without libR.so.

Good idea. I added USE_XORG= to my submit checklist.

Maybe portlint or stage QA could be enhanced to flag opportunities like this?

swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Nov 29 2016, 9:11 PM
This revision was automatically updated to reflect the committed changes.
jrm marked an inline comment as done.